<script lang="ts" module>
	import "./Layout.scss";
</script>

<script lang="ts">
	import { postFromProps, PostHeader } from "./PostHelpers.svelte";

	let props = $props();
	let post = postFromProps(props);
</script>

{@render PostHeader(post)}
<div class="content-div">
	{@render props.children?.()}
</div>
